VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "C_MARCAS"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True

Public Function ListarMarcas() As ADODB.Recordset
'Autor Jorge Illescas--01-2006
'Permite listar las marcas disponibles
    Dim strSQL As String
    Dim rsMarca As ADODB.Recordset
    
    On Error GoTo TrataError
    
    strSQL = " SELECT CODMARCA,MARCA FROM IN_MARCAS "
    
    Set rsMarca = New ADODB.Recordset
    rsMarca.CursorLocation = adUseClient
    rsMarca.Open strSQL, "FILEDSN=conexionsies", adOpenUnspecified, adLockUnspecified, adCmdUnspecified
       
    Set ListarMarcas = rsMarca
    
    'GetObjectContext.SetComplete
    
    Exit Function
    
TrataError:
    If Not rsMarca Is Nothing Then
        Set rsMarca = Nothing
    End If

    ''GetObjectContext.SetAbort
    
    Err.Raise Err.Number, "DB_INV_MANTENIMIENTOS.ListarMarcas", Err.Description


End Function


